[SciPy-user] NumpyTest warning after upgrade

Gary Pajer gary.pajer@gmail....
Sun Sep 28 14:05:12 CDT 2008


I've upgraded numpy and scipy after quite some time.  I think I had numpy
1.0.4 and scipy 5.2, but I'm not 100% sure.
I'm on winxp, python 2.5.1, and I installed using the windows exe installers
on scipy.org

I've poked around the scipy-users and numpy-users lists, and learned what I
already know:  NumpyTest is deprecated.  How can I fix this?

regards,
Gary
---------------------------------------------------------------------------------------------------------
C:\Documents and Settings\Gary\My Documents>ipython
Python 2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit (Intel)]
Type "copyright", "credits" or "license" for more information.

IPython 0.9.1 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object'. ?object also works, ?? prints more.

In [1]: import numpy

In [2]: import scipy
c:\python25\lib\site-packages\scipy\misc\__init__.py:25: DeprecationWarning:
NumpyTest will be removed in the next release; please upda
te your code to use nose or unittest
  test = NumpyTest().test

In [3]: numpy.__version__
Out[3]: '1.2.0'

In [4]: scipy.__version__
Out[4]: '0.6.0'
-------------------------------------------------------------------------------
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/scipy-user/attachments/20080928/15dc1e4d/attachment.html 


More information about the SciPy-user mailing list